/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-13
 * 描述            ：客户结算单主信息表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
 ***********************************************************/
package market.Slm.FundManagement.vo;

import market.Slm.FundManagement.mapper.SlmFundSettleBillInvoiceMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(namespace = SlmFundSettleBillInvoiceMapper.class)
public class SlmFundSettleBillInvoice extends BaseVO {

	// 合同行号
	private String contract_line_no;

	// 合同行序号
	private String contract_line_seq;

	// 合同头主键
	private String contract_pk;

	@Id
	// 合同号
	private String contract_no;

	// 发货明细主键
	private String detail_no;

	// 产品规范码编号
	private String delivery_state_code;

	// 产品规范码名称
	private String delivery_state_desc;

	// 计量单位编号
	private String actual_unit_no;

	// 计量单位名称
	private String actual_unit_name;

	// 客户编号
	private String customer_no;

	// 客户名称
	private String customer_name;

	// 品名代码
	private String prod_code;

	// 品名名称
	private String prod_name;

	// 钢级(牌号)代码
	private String steel_code;

	// 钢级(牌号)名称
	private String steel_name;

	// 结算单号
	private String settle_bill_no;

	// 宽
	private Double width;

	// 长
	private Double length;

	// 厚(壁厚)
	private Double thick;

	// 收货单位编号
	private String reciver_unit_no;

	// 收货单位
	private String reciver_unit_name;

	// 收货地址
	private String reciver_address;

	// 重量
	private Double weight;

	// 钢卷号
	private String materailcoilno;

	// 原卷号
	private String coilno;

	// 结算价
	private Double balance_price;

	// 运费
	private Double trade_price;

	// 加工配送价
	private Double work_price;
	
	// 配送费费
	private Double o_trade_price;
	//加工费
	private Double o_process_price;

	public Double getO_trade_price() {
		return o_trade_price;
	}
	public void setO_trade_price(Double o_trade_price) {
		this.o_trade_price = o_trade_price;
	}
	public Double getO_process_price() {
		return o_process_price;
	}
	public void setO_process_price(Double o_process_price) {
		this.o_process_price = o_process_price;
	}
	// 合同单价
	private Double contract_price;

	// 金额
	private Double amount;

	// 订单号
	private String order_no;
	// 提单编号
	private String bill_no;
	// 提单子编号
	private String line_no;
	// 提单状态 1：编辑 2：待审核 3：待下发 4：下发 5：接收 6：虚拟发运 7：实际发运 8：虚拟结算 9：实际结算 10：虚拟关闭
	// 11：实际关闭；12：票据核算；13：票据对齐；14：结算编制
	private String valid_status;
	//提货单状态
	private String state;
	//提单类型
	private String bill_type;
	
	//冲减类型
	private String settle_write_down_type;
	//冲减金额
	private Double settle_write_down_fund;
	public String getSettle_write_down_type() {
		return settle_write_down_type;
	}
	public void setSettle_write_down_type(String settle_write_down_type) {
		this.settle_write_down_type = settle_write_down_type;
	}
	public Double getSettle_write_down_fund() {
		return settle_write_down_fund;
	}
	public void setSettle_write_down_fund(Double settle_write_down_fund) {
		this.settle_write_down_fund = settle_write_down_fund;
	}
	//统计冲减金额
	private Double total_write_down_fund;
	public Double getTotal_write_down_fund() {
		return total_write_down_fund;
	}
	public void setTotal_write_down_fund(Double total_write_down_fund) {
		this.total_write_down_fund = total_write_down_fund;
	}
	public String getBill_type() {
		return bill_type;
	}

	public void setBill_type(String bill_type) {
		this.bill_type = bill_type;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	// 有效标志 0：无效；1：有效
	private String valid_flag;
	// 原料卷入库时间
	private String indate;
	// 结算状态
	private String flag;
	// 提单类型
	private String biil_type;
	// 实重
	private Double factweight;
	//理重
    private Double theoryweight;
    //开票金额
    private Double invoice_amount;

	public Double getFactweight() {
		return factweight;
	}

	public void setFactweight(Double factweight) {
		this.factweight = factweight;
	}

	public Double getTheoryweight() {
		return theoryweight;
	}

	public void setTheoryweight(Double theoryweight) {
		this.theoryweight = theoryweight;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public String getBiil_type() {
		return biil_type;
	}

	public void setBiil_type(String biil_type) {
		this.biil_type = biil_type;
	}

	

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public String getLine_no() {
		return line_no;
	}

	public void setLine_no(String line_no) {
		this.line_no = line_no;
	}

	public String getValid_status() {
		return valid_status;
	}

	public void setValid_status(String valid_status) {
		this.valid_status = valid_status;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	public String getIndate() {
		return indate;
	}

	public void setIndate(String indate) {
		this.indate = indate;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contract_line_seq) {
		this.contract_line_seq = contract_line_seq;
	}

	public String getContract_pk() {
		return contract_pk;
	}

	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	public String getDelivery_state_code() {
		return delivery_state_code;
	}

	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}

	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	public String getProd_code() {
		return prod_code;
	}

	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	public String getProd_name() {
		return prod_name;
	}

	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getLength() {
		return length;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public Double getThick() {
		return thick;
	}

	public void setThick(Double thick) {
		this.thick = thick;
	}

	public String getReciver_unit_no() {
		return reciver_unit_no;
	}

	public void setReciver_unit_no(String reciver_unit_no) {
		this.reciver_unit_no = reciver_unit_no;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciver_unit_name) {
		this.reciver_unit_name = reciver_unit_name;
	}

	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}

	public String getMaterailcoilno() {
		return materailcoilno;
	}

	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}

	public Double getBalance_price() {
		return balance_price;
	}

	public void setBalance_price(Double balance_price) {
		this.balance_price = balance_price;
	}

	public Double getTrade_price() {
		return trade_price;
	}

	public void setTrade_price(Double trade_price) {
		this.trade_price = trade_price;
	}

	public Double getWork_price() {
		return work_price;
	}

	public void setWork_price(Double work_price) {
		this.work_price = work_price;
	}

	public Double getContract_price() {
		return contract_price;
	}

	public void setContract_price(Double contract_price) {
		this.contract_price = contract_price;
	}

	public Double getAmount() {
		return amount;
	}

	public void setAmount(Double amount) {
		this.amount = amount;
	}

	public String getReciver_address() {
		return reciver_address;
	}

	public void setReciver_address(String reciver_address) {
		this.reciver_address = reciver_address;
	}

	public String getCoilno() {
		return coilno;
	}

	public void setCoilno(String coilno) {
		this.coilno = coilno;
	}

	public String getSettle_bill_no() {
		return settle_bill_no;
	}

	public void setSettle_bill_no(String settle_bill_no) {
		this.settle_bill_no = settle_bill_no;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	public String getDetail_no() {
		return detail_no;
	}

	public void setDetail_no(String detail_no) {
		this.detail_no = detail_no;
	}

	public String getActual_unit_no() {
		return actual_unit_no;
	}

	public void setActual_unit_no(String actual_unit_no) {
		this.actual_unit_no = actual_unit_no;
	}

	public String getActual_unit_name() {
		return actual_unit_name;
	}

	public void setActual_unit_name(String actual_unit_name) {
		this.actual_unit_name = actual_unit_name;
	}
	public Double getInvoice_amount() {
		return invoice_amount;
	}
	public void setInvoice_amount(Double invoice_amount) {
		this.invoice_amount = invoice_amount;
	}
	
	private String order_thick;
	private String order_width;
	public String getOrder_thick() {
		return order_thick;
	}
	public void setOrder_thick(String order_thick) {
		this.order_thick = order_thick;
	}
	public String getOrder_width() {
		return order_width;
	}
	public void setOrder_width(String order_width) {
		this.order_width = order_width;
	}
	
	//发票编号
	private String invoice_no;
	public String getInvoice_no() {
		return invoice_no;
	}
	public void setInvoice_no(String invoice_no) {
		this.invoice_no = invoice_no;
	}
	
	private String sign_date;
	public String getSign_date() {
		return sign_date;
	}
	public void setSign_date(String sign_date) {
		this.sign_date = sign_date;
	}
	
	@Column
	//转库费单价20230218刘侣
	private Double zkf_u_price;
	public Double getZkf_u_price() {
		return zkf_u_price;
	}
	public void setZkf_u_price(Double zkf_u_price) {
		this.zkf_u_price = zkf_u_price;
	}
	
	@Column
	//资金占用费单价
	private Double zj_u_price;
	public Double getZj_u_price() {
		return zj_u_price;
	}
	public void setZj_u_price(Double zj_u_price) {
		this.zj_u_price = zj_u_price;
	}
	
	@Column
	//额外加价总额：
	private Double extra_money;
	public Double getExtra_money() {
		return extra_money;
	}
	public void setExtra_money(Double extra_money) {
		this.extra_money = extra_money;
	}
}
